TuningProfile (BEEP Core API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.beepcore.beep.core
Class TuningProfile

    java.lang.Object
      |
      +--org.beepcore.beep.core.TuningProfile

Direct Known Subclasses:
  TLSProfile

public abstract class TuningProfile
extends java.lang.Object

TuningProfiles change the security of a Session, either by negotiating a security layer (such as encryption or some integrity enhancing frame checksum), or by authenticating one or more of the individual peers involved in the session. The TuningProfile class provides a nice place for constant data, shared routines used by its subclasses (blob manipulation, base64 encoding), and so on. SASL Authentication goes through about 4 states, two of them which are terminal (abort) (terminal state) (complete) (terminal state) (begin) (continue)

Constructor Summary
`TuningProfile()` Constructor TuningProfile

Method Summary
`void` | `abort(BEEPError error, Channel channel)` Method abort
`void` | `begin(Channel channel, java.lang.String profile, java.lang.String data)` Method begin
`void` | `complete(Channel channel, SessionCredential localCred, SessionCredential peerCred, SessionTuningProperties tuning, ProfileRegistry registry, java.lang.Object argument)` Method complete
`protected static void` | `disableIO(Session session)` Method disableIO
`protected static void` | `enableIO(Session session)` Method enableIO
`protected static Session` | `reset(Session session, SessionCredential localCred, SessionCredential peerCred, SessionTuningProperties tuning, ProfileRegistry registry, java.lang.Object argument)` Method reset
`protected static void` | `sendProfile(Session session, java.lang.String uri, java.lang.String data, Channel channel)` Method sendProfile
`protected static void` | `setLocalCredential(Session session, SessionCredential credential)` Method setLocalCredential
`protected static void` | `setPeerCredential(Session session, SessionCredential credential)` Method setPeerCredential
`Channel` | `startChannel(Session session, java.lang.String profile, boolean base64Encoding, java.lang.String data, MessageListener listener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TuningProfile

    public TuningProfile()

  Constructor TuningProfile

Method Detail

### abort

    public void abort(BEEPError error,
                      Channel channel)
               throws BEEPException

  Method abort

  Parameters:
    `error` -
    `channel` -
  Throws:
    `BEEPException`

### begin

    public void begin(Channel channel,
                      java.lang.String profile,
                      java.lang.String data)
               throws BEEPException

  Method begin

  Parameters:
    `channel` -
    `profile` -
    `data` -
  Throws:
    `BEEPException`

### complete

    public void complete(Channel channel,
                         SessionCredential localCred,
                         SessionCredential peerCred,
                         SessionTuningProperties tuning,
                         ProfileRegistry registry,
                         java.lang.Object argument)
                  throws BEEPException

  Method complete

  Parameters:
    `channel` -
    `registry` -
    `argument` -
  Throws:
    `BEEPException`

### disableIO

    protected static void disableIO(Session session)

  Method disableIO

  Parameters:
    `session` -

### enableIO

    protected static void enableIO(Session session)

  Method enableIO

  Parameters:
    `session` -

### setLocalCredential

    protected static void setLocalCredential(Session session,
                                             SessionCredential credential)

  Method setLocalCredential

  Parameters:
    `session` -
    `credential` -

### setPeerCredential

    protected static void setPeerCredential(Session session,
                                            SessionCredential credential)

  Method setPeerCredential

  Parameters:
    `session` -
    `credential` -

### reset

    protected static Session reset(Session session,
                                   SessionCredential localCred,
                                   SessionCredential peerCred,
                                   SessionTuningProperties tuning,
                                   ProfileRegistry registry,
                                   java.lang.Object argument)
                            throws BEEPException

  Method reset

  Parameters:
    `session` -
    `registry` -
    `argument` -
  Throws:
    `BEEPException`

### sendProfile

    protected static void sendProfile(Session session,
                                      java.lang.String uri,
                                      java.lang.String data,
                                      Channel channel)
                               throws BEEPException

  Method sendProfile

  Parameters:
    `session` -
    `uri` -
    `data` -
    `channel` -
  Throws:
    `BEEPException`

### startChannel

    public Channel startChannel(Session session,
                                java.lang.String profile,
                                boolean base64Encoding,
                                java.lang.String data,
                                MessageListener listener)
                         throws BEEPException,
                                BEEPError

    `BEEPException`
    `BEEPError`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.